Skip to main content
GET
/
v1
/
agents
/
generations
/
{generation_id}
Get Generation
curl --request GET \
  --url https://sdk.nimbleway.com/v1/agents/generations/{generation_id}
{
  "id": "86441962-c8f5-4c24-b271-ee877d2dd865",
  "status": "success",
  "agent_name": "books_toscrape_categories_nkjansdkj_2026_03_24_zco2isqi",
  "source_version_id": "c51d09fc-c8f2-4b3a-a9bc-eaab88316217",
  "generated_version_id": "fee30209-2439-459b-985a-ba7f8d8d2325",
  "generated_version": {
    "id": "fee30209-2439-459b-985a-ba7f8d8d2325",
    "agent_name": "books_toscrape_categories_nkjansdkj_2026_03_24_zco2isqi",
    "version_number": 2,
    "metadata": {
      "vertical": "Other",
      "data_source": "books.toscrape.com",
      "display_name": "books_toscrape_categories_nkjansdkj",
      "tags": [],
      "domain": "books.toscrape.com",
      "is_displayed": false
    },
    "steps": [],
    "artifacts": {}
  },
  "summary": "Done! The agent for **books.toscrape.com** category pages is fully configured and preview ran successfully. Here's a summary of what was set up:\n\n- **Browsing**: Navigates to category pages using a URL template with `category_slug` and `category_id` as inputs (e.g., `mystery` / `3`)\n- **Parsing**: Extracts book data — `name`, `price`, `url`, and `availability` — from each listing on the category page",
  "created_at": "2026-03-24T19:19:39.300002+00:00",
  "started_at": "2026-03-24T19:19:39.307295+00:00",
  "completed_at": "2026-03-24T19:22:01.638660+00:00"
}

Path Parameters

generation_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

The id of the agent generation

status
string
required

The status of the agent generation

agent_name
string

The name of the agent

version_id
string<uuid>

The version id of the agent

summary
string | null

The summary of the agent generation

error
string | null

The error of the agent generation